Bug 160057 - Document Calc's separate Footer and Header tabs if "Same content on first page" is off
Summary: Document Calc's separate Footer and Header tabs if "Same content on first pag...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:24.8.0 target:24.2.3
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Calc-Header-Footer
  Show dependency treegraph
 
Reported: 2024-03-06 00:59 UTC by Stéphane Guillou (stragu)
Modified: 2024-05-21 01:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Guillou (stragu) 2024-03-06 00:59:48 UTC Comment hidden (obsolete)
Comment 1 Stéphane Guillou (stragu) 2024-03-06 01:07:07 UTC
(published before finishing, here's the full description)

Since 7.3 and the fix for bug 142763, we can separate the first page footer or header from the rest in Calc, thanks to the new "Same content on first page" setting in Format > Page Style > Footer or Header.

In the help page for "Format > Page Style > Footer/Header > Edit"[1] (same for both), there is no mention of the conditional "Footer (first)" and "Footer (rest)" tabs.

Happy to take if no objection.

[1]: https://help.libreoffice.org/24.8/en-US/text/scalc/01/02120100
Comment 2 Stéphane Guillou (stragu) 2024-03-06 05:34:38 UTC
(noting that this report was inspired by the users' confusion in bug 153997 and bug 159782)
Comment 3 Commit Notification 2024-03-06 05:49:25 UTC
Stéphane Guillou committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/fcf19e4c9105e8e1a4d4523fc108ff2f957f2023

related tdf#160057: fix dead link to Edit Footer/Header
Comment 4 Commit Notification 2024-03-12 07:32:25 UTC
Stéphane Guillou committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/04dcd1b951689689f9449408fd6f512a9c87aa0d

related tdf#160057: replace last ref to defunct Footer Header page
Comment 5 Commit Notification 2024-03-19 21:19:58 UTC
Stéphane Guillou committed a patch related to this issue.
It has been pushed to "libreoffice-24-2":

https://git.libreoffice.org/help/commit/9bed20d260f9c0dfd5a43f62bba288aff829da85

related tdf#160057: replace ref to obsolete Footer Header page
Comment 6 Stéphane Guillou (stragu) 2024-05-09 05:41:33 UTC
Olivier, this is not fixed - unless there's a change not referenced here that I'm not aware of?
Page still doesn't document the tabs:

https://help.libreoffice.org/24.8/en-US/text/scalc/01/02120100.html
Comment 7 Commit Notification 2024-05-13 11:24:43 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/71a04be1be73ec7cd27e14e152c01521b3c4b33e

tdf#160057 Help update for first and rest page style in Calc
Comment 8 Stéphane Guillou (stragu) 2024-05-21 01:30:52 UTC
Looking good now, please feel free to close.